# mkusfx

~~~
mkusfx: Créer une archive auto-extractible qui installe son contenu avec uinst

USAGE
    mkusfx [options] [--bare] src cmd...
    mkusfx [options] [--uinst] src

OPTIONS
    --bare
        Installer le contenu de l'archive en lançant la commande 'cmd...' avec
        le répertoire courant étant le contenu de l'archive. Typiquement, ce
        sera une commande de forme './script', où script est un fichier situé à
        la racine de l'archive
        Dans ce mode d'installation, l'option --self-contained est ignorée.
    --uinst
        Installer le contenu de l'archive avec uinst (par défaut)
    -o dest
        Spécifier le fichier de sortie. Par défaut, il s'agit de
        ${src}-installer.run
    --tmp-archive
        Spécifier qu'il s'agit d'une archive temporaire. Cette archive
        s'auto-détruit après utilisation.
    --self-contained
        Spécifier que l'archive doit pouvoir s'installer même sur un système sur
        lequel nutools n'est pas installé. Cette archive contiendra une copie
        locale de ulib et uinst.sh
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary